/*
 * TrkIonCut.cpp
 *
 *  Created on: 13-mar-2009
 *      Author: Sergio Ricciarini, Nicola Mori
 */

/*! @file TrkIonCut.cpp The TrkIonCut class implementation file */

#include "TrkIonCut.h"

int TrkIonCut::Check(PamLevel2 *event) {

  TrkTrack *trkTrack = event->GetTrack(0)->GetTrkTrack();

  if ( ! (trkTrack->GetDEDX() < _maxRelease && trkTrack->GetDEDX() > _minRelease) )
    return 0;

  return CUTOK;
}
